# Uses of Interface
org.eclipse.jdt.junit.model.ITestRunSession

Packages that use ITestRunSession
Package
Description
org.eclipse.jdt.junit
Application programming interfaces for interaction with the Eclipse Java development tools JUnit support.
org.eclipse.jdt.junit.model
Application programming interfaces representing test elements as shown in the JUnit view.

## Uses of ITestRunSession in org.eclipse.jdt.junit

Methods in org.eclipse.jdt.junit that return ITestRunSession
Modifier and Type
Method
Description
`static ITestRunSession`
JUnitCore.`importTestRunSession(File file)`
Imports a test run session from the given file.
`static ITestRunSession`
JUnitCore.`importTestRunSession(String url, org.eclipse.core.runtime.IProgressMonitor monitor)`
Imports a test run session from the given URL.
Methods in org.eclipse.jdt.junit with parameters of type ITestRunSession
Modifier and Type
Method
Description
`static void`
JUnitCore.`exportTestRunSession(ITestRunSession testRunSession, File file)`
Exports the given test run session into an XML report file.
`static void`
JUnitCore.`exportTestRunSession(ITestRunSession testRunSession, OutputStream output)`
Exports the given test run session to an output stream.
`void`
TestRunListener.`sessionFinished(ITestRunSession session)`
A test run session has finished.
`void`
TestRunListener.`sessionLaunched(ITestRunSession session)`
A test run session has been launched.
`void`
TestRunListener.`sessionStarted(ITestRunSession session)`
A test run session has started.

## Uses of ITestRunSession in org.eclipse.jdt.junit.model

Methods in org.eclipse.jdt.junit.model that return ITestRunSession
Modifier and Type
Method
Description
`ITestRunSession`
ITestElement.`getTestRunSession()`
Returns the test run session.